Summary: Lightweight and fast MJPG-HTTP streamer
Name: ustreamer
Version: 6.16
Release: 1%{?dist}
License: GPL-3.0
URL: https://github.com/pikvm/ustreamer
Source: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: gcc
BuildRequires: glibc-devel
BuildRequires: libatomic
BuildRequires: pkgconfig(libbsd)
BuildRequires: pkgconfig(libevent)
BuildRequires: pkgconfig(libevent_pthreads)
BuildRequires: pkgconfig(libgpiod)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(python)
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(build)
BuildRequires: python3dist(wheel)
BuildRequires: python3dist(pip)

%description
ustreamer(µStreamer) is a lightweight and very quick server to stream MJPG video
from any V4L2 device to the net.

All new browsers have native support of this video format,
as well as most video players such as mplayer, VLC etc.

µStreamer is a part of the Pi-KVM project designed to stream VGA and HDMI
screencast hardware data with the highest resolution and FPS possible.


%package -n python3-%{name}
Summary: Python 3 bindings for %{name}
Requires: %{name} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Python 3 bindings for %{name}.


%prep
%autosetup

%build
%set_build_flags
%make_build \
    WITH_SYSTEMD=1 \
    WITH_GPIO=1 \
    WITH_PYTHON=1

%install
%make_install 'PREFIX=%{_prefix}'\
    WITH_PYTHON=1


%files
%license LICENSE
%doc README.md
%{_bindir}/ustreamer
%{_bindir}/ustreamer-dump
%{_mandir}/man1/ustreamer.1*
%{_mandir}/man1/ustreamer-dump.1*


%files -n python3-%{name}
%{python3_sitearch}/%{name}*


%changelog
* Tue Sep 24 2024 xuke <xuke@redflag-os.com> - 6.16-1
- Initial package